function init() {
    var doc = document;
    var vid = doc.getElementById('video');
    var play = doc.getElementById('playBtn');
    var pause = doc.getElementById('pauseBtn');
    var mute = doc.getElementById('muteBtn');
    var unmute = doc.getElementById('unmuteBtn');

    ADTECH.registerVideoPlayer(vid);

    pause.onclick = function () {
        if (vid.paused == false) {
            vid.pause();
            pause.style.display = 'none';
            play.style.display = 'block';
        }
    }

    play.onclick = function () {
        if (vid.paused == true) {
            vid.play();
            pause.style.display = 'block';
            play.style.display = 'none';
        }
    }

    mute.onclick = function () {
        vid.muted = true;
        mute.style.display = 'none';
        unmute.style.display = 'block';
    }

    unmute.onclick = function () {
        vid.muted = false;
        mute.style.display = 'block';
        unmute.style.display = 'none';
    }

 	//This code pauses the video when it's out of the viewport. To disable this, please comment out the rules below.
    ADTECH.addEventListener('inviewPercentage', function (e) {
        if (e.adPerc > 0) {
            if (vid.paused == true) {
                if (vid.ended == false) {
					play.click();
                }
            }
        } else {
            if (vid.paused == false) {
                pause.click();
            }
        }
    });

    vid.onclick = function () {
        ADTECH.click('main', '');
    }


} ADTECH.ready(init);